Redmine - Patch #6287

character corruption in exporting spent time
2010-09-03 16:02 - Ryo SUETSUGU

Status: Closed Start date: 2010-09-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version:

Description

UTF-8 encoding is missed for a 'Total' literal at TimelogHelper#report_to_csv.
Character corruption occurs on my environment (Japanese setting).

Related issues:
Related to Redmine - Defect #11116: CSV export encoding problem when issues a... Closed

History

#1 - 2013-04-03 18:34 - Filou Centrinov
It's still a bug in Redmine 2.3

#2 - 2013-04-03 21:39 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Filou Centrinov wrote:

It's still a bug in Redmine 2.3

I've just checked 2.3 and it was fixed time ago in r7947 (#8549). Can you confirm?

#3 - 2013-04-03 22:35 - Filou Centrinov

No. | also just checked 2.3 (Revision 11698). CSV exports (issues or time entries) are always ANSI encoded, not UTF-8 encoded.

Ruby version .3 (1386-mingw32)
RubyGems version 2

Rack version

Rails version

Active Record version
Action Pack version
Active Resource version
Action Mailer version
Active Support version

#4 - 2013-04-03 23:34 - Filou Centrinov
- File timelog_ru.csv added
- File timelog_en.csv added

- File timelog_ja.csv added

| don't know if we talk about the same thing. | was speeking about the data in the cvs file (column header, issue name, time log comments, ...),
including the "Total' literal in the header from the csv export of time report. Independing from which csv export (issues/ time log details/ time log report)
the encoding for japanese language profil is not utf-8 encoded.

I notice that, if my profil language is english or japanese the csv-export is not utf-8 encoded, but if my profil language is russian | receive an utf-8
encoded csv export. See timelog upload.

#5 - 2013-04-06 09:11 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

Filou Centrinov wrote:
https://www.redmine.org/projects/redmine/repository/svn/revisions/7947
https://www.redmine.org/issues/8549

I notice that, if my profil language is english or japanese the csv-export is not utf-8 encoded, but if my profil language is russian | receive an utf-8

encoded csv export. See timelog upload.

ru: UTF-8
source:tags/2.3.0/config/locales/ru.yml#l. 394
en: ISO-8859-1
source:tags/2.3.0/config/locales/en.ymi#L. 142
ja: CP932
source:tags/2.3.0/config/locales/ja.yml#L163

Files

redmine100_timelog_report_to_csv.patch
timelog_ru.csv
timelog_en.csv

timelog_ja.csv

2025-07-03
624 Bytes
Ryo SUETSUGU
Filou Centrinov
Filou Centrinov

Filou Centrinov
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.3.0/config/locales/ru.yml#L394
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.3.0/config/locales/en.yml#L142
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.3.0/config/locales/ja.yml#L163
